%define __kde4_alternate_placement 1

%def_disable kworldclock
%def_disable icons
%def_disable emoticons
%def_disable wallpapers

%define rname kdeartwork
%define major 4
%define minor 1
%define bugfix 3
Name: kde4artwork
Version: %major.%minor.%bugfix
Release: alt0.M41.2

Summary: K Desktop Environment - Artwork
Group: Graphical desktop/KDE
License: GPL
Url: http://www.kde.org

%if_enabled kworldclock
Requires: %name-kworldclock = %version-%release
%endif
%if_enabled emoticons
Requires: %name-emoticons = %version-%release
%endif
Requires: %name-styles-icewm-kwin = %version-%release
Requires: %name-screensavers = %version-%release
Requires: %name-screensavers3d = %version-%release
Requires: %name-xscreensaver = %version-%release
Requires: %name-xscreensaver3d = %version-%release
Requires: %name-sounds = %version-%release
Requires: %name-styles-phase-widgets = %version-%release
%if_enabled wallpapers
Requires: %name-wallpapers = %version-%release
%endif
Requires: %name-color-schemes = %version-%release
%if_enabled icons
Requires: %name-icon-theme-locolor = %version-%release
Requires: %name-icon-theme-crystalsvg = %version-%release
Requires: %name-icon-theme-ikons = %version-%release
Requires: %name-icon-theme-kdeclassic = %version-%release
Requires: %name-icon-theme-kids = %version-%release
Requires: %name-icon-theme-slick = %version-%release
%endif


Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar


BuildRequires: gcc-c++ xorg-x11-devel
BuildRequires: kde4base-workspace-devel >= %version kde4libs-devel >= %version
BuildRequires: xscreensaver-hacks xscreensaver-hacks-gl

%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.

%package common
Summary: Common package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= %major.%minor
%description common
Common package for %name

%package emoticons
Summary: %name emoticon themes
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description emoticons
Emoticon themes for KDE

%package screensavers
Summary: Sreensavers for KDE4
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-workspace-core
Requires: %name-common = %version-%release
%description screensavers
Screensavers for KDE

%package screensavers3d
Summary: Additional screensavers for KDE4 with OpenGL support
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-screensavers
Requires: kde4base-workspace-core
%description screensavers3d
Additional screensavers for KDE with OpenGL support

%package xscreensaver
Summary: %name frontend to xscreensaver screensavers
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-workspace-core
Requires: %name-common = %version-%release
Requires: xscreensaver-hacks, xscreensaver-hacks-gl
%description xscreensaver
This package contains frontend to xscreensaver
to give additional screensavers for KDE.

%package xscreensaver3d
Summary: %name frontend to xscreensaver OpenGL screensavers
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-workspace-core
Requires: %name-common = %version-%release
Requires: %name-xscreensaver
Requires: xscreensaver-hacks, xscreensaver-hacks-gl
%description xscreensaver3d
This package contains frontend to xscreensaver
to give additional OpenGL screensavers for KDE.

%package kworldclock
Summary: %name themes for KWorldClock
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Requires: kde4toys-kworldclock
%description kworldclock
Themes for KWorldClock

%package sounds
Summary: Additional sounds for KDE4
Group: Sound
Requires: %name-common = %version-%release
%description sounds
Additional sounds for KDE

%package color-schemes
Summary: Color schemes for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description color-schemes
Color schemes for KDE

%package wallpapers
Summary: Additional wallpapers for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description wallpapers
Additional wallpapers for KDE

%package styles-icewm-kwin
Summary: %name IceWM style for KDE4 window manager
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Provides: kde4-styles-icewm-kwin = %version-%release
Obsoletes: kde4-styles-icewm-kwin <= %version-%release
%description styles-icewm-kwin
IceWM style for KDE window manager

%package styles-phase-widgets
Summary: Phase style for KDE4 widgets
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Provides: kde4-styles-phase-widgets = %version-%release
Obsoletes: kde4-styles-phase-widgets <= %version-%release
%description styles-phase-widgets
Phase style for KDE/QT widgets

%package icon-theme-locolor
Summary: Low-color icons for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: kde4-icon-theme-locolor = %version-%release
Obsoletes: kde4-icon-theme-locolor <= %version-%release
%description icon-theme-locolor
Low-color icons for KDE.
Install this package if you intend to use KDE on a display
that supports 256 or less colors.

%package icon-theme-crystalsvg
Summary: Crystal SVG icons for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: kde4-icon-theme-crystalsvg = %version-%release
Obsoletes: kde4-icon-theme-crystalsvg <= %version-%release
%description icon-theme-crystalsvg
Crystal SVG icons for KDE

%package icon-theme-ikons
Summary: iKons icons for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: kde4-icon-theme-ikons = %version-%release
Obsoletes: kde4-icon-theme-ikons <= %version-%release
%description icon-theme-ikons
iKons icons for KDE

%package icon-theme-kdeclassic
Summary: KDE-Classic icons for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: kde4-icon-theme-kdeclassic = %version-%release
Obsoletes: kde4-icon-theme-kdeclassic <= %version-%release
%description icon-theme-kdeclassic
KDE-Classic icons for KDE

%package icon-theme-kids
Summary: Kids icons for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: kde4-icon-theme-kids = %version-%release
Obsoletes: kde4-icon-theme-kids <= %version-%release
%description icon-theme-kids
Kids icons for KDE

%package icon-theme-slick
Summary: Slick icons for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: kde4-icon-theme-slick = %version-%release
Obsoletes: kde4-icon-theme-slick <= %version-%release
%description icon-theme-slick
Slick icons for KDE


%prep
%setup -q -n %rname-%version

%build
%K4build

%install
%K4install

>lst.screensavers3d
>lst.screensavers
>lst.xscreensaver3d
>lst.xscreensaver
find %buildroot/%_K4srv/ScreenSavers -type f -name \*desktop | \
while read f
do
    NAME=`basename $f`
    EXEC=`grep 'Exec=' $f | head -n 1 | sed 's|.*=||'`
    LIST=lst.screensavers
    if echo "$NAME" | grep -q -e "^K"; then
	if grep -q 'X-KDE-Type=OpenGL' $f; then
	    LIST=lst.screensavers3d
	else
	    LIST=lst.screensavers
	fi
    else
	if grep -q 'X-KDE-Type=OpenGL' $f; then
	    LIST=lst.xscreensaver3d
	else
	    LIST=lst.xscreensaver
	fi
    fi
    echo "%%_K4srv/ScreenSavers/$NAME" >> $LIST
    echo "$EXEC" | grep -q -e '\.kss$' \
	&& echo "%%__kde4_bindir/$EXEC" >> $LIST
done


%files
%files common
%doc README

%if_enabled emoticons
%files emoticons
%_K4emo/*
%else
%exclude %_K4emo/*
%endif

%files styles-icewm-kwin
%_K4apps/kwin/icewm-themes/*

%files styles-phase-widgets
%_K4apps/kstyle/themes/phase.themerc
%_K4lib/kstyle_phase_config.so
%_K4lib/plugins/styles/phasestyle.so

%files screensavers -f lst.screensavers
%_K4apps/kfiresaver/
%_K4apps/kscreensaver/

%files screensavers3d -f lst.screensavers3d

%files xscreensaver -f lst.xscreensaver
%__kde4_bindir/kxsconfig
%__kde4_bindir/kxsrun

%files xscreensaver3d -f lst.xscreensaver3d

%if_enabled kworldclock
%files kworldclock
%_K4apps/kworldclock/maps/*
%else
%exclude %_K4apps/kworldclock/maps/*
%endif

%files sounds
%_K4snd/KDE_Logout_new.wav
%_K4snd/KDE_Startup_new.wav

%files color-schemes
%_K4apps/color-schemes/

%if_enabled wallpapers
%files wallpapers
%_K4wall/*
%else
%exclude %_K4wall/*
%endif

%if_enabled icons
%files icon-theme-locolor
%_K4iconsdir/ikons/
%files icon-theme-crystalsvg
%_K4iconsdir/crystalsvg/
%files icon-theme-ikons
%_K4iconsdir/ikons/
%files icon-theme-kdeclassic
%_K4iconsdir/kdeclassic/
%files icon-theme-kids
%_K4iconsdir/kids/
%files icon-theme-slick
%_K4iconsdir/slick/
%else
%exclude %__kde4_iconsdir/*
%endif

%changelog
* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.2
- built for M41

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt2
- rebuilt

* Wed Oct 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Thu Sep 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Mon Jun 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Thu May 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Mon Apr 21 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- initial build

